Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LerpPosQuatScaleInterval Class Reference
Inheritance diagram for LerpPosQuatScaleInterval:

## Public Member Functions
| __init__ (self, nodePath, duration, pos, quat=None, scale=None, startPos=None, startHpr=None, startQuat=None, startScale=None, other=None, blendType='noBlend', bakeInStart=1, fluid=0, name=None, hpr=None)
| privDoEvent (self, t, event)
Public Member Functions inherited from LerpNodePathInterval
| __init__ (self, name, duration, blendType, bakeInStart, fluid, nodePath, other)
| anyCallable (self, *params)
| setupParam (self, func, param)

## Public Attributes
| endPos = pos
| endQuat = quat
| endScale = scale
int | inPython = 1
| paramSetup
| setEndPos
| setEndQuat
| setEndScale
| setStartHpr
| setStartPos
| setStartQuat
| setStartScale
| startHpr = startHpr
| startPos = startPos
| startQuat = startQuat
| startScale = startScale

## Additional Inherited Members
Static Public Attributes inherited from LerpNodePathInterval
int | lerpNodePathNum = 1

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | nodePath,
|  |  | duration,
|  |  | pos,
|  |  | quat = None,
|  |  | scale = None,
|  |  | startPos = None,
|  |  | startHpr = None,
|  |  | startQuat = None,
|  |  | startScale = None,
|  |  | other = None,
|  |  | blendType = 'noBlend',
|  |  | bakeInStart = 1,
|  |  | fluid = 0,
|  |  | name = None,
|  |  | hpr = None )

## Member Function Documentation

## ◆ privDoEvent()

privDoEvent | ( |  | self,
|  |  | t,
|  |  | event )

## Member Data Documentation

## ◆ endPos

endPos = pos

## ◆ endQuat

endQuat = quat

## ◆ endScale

endScale = scale

## ◆ inPython

int inPython = 1

## ◆ paramSetup

paramSetup

Initial value:
= self.anyCallable(pos, startPos, quat, startHpr,
startQuat, scale, startScale)

## ◆ setEndPos

setEndPos

## ◆ setEndQuat

setEndQuat

## ◆ setEndScale

setEndScale

## ◆ setStartHpr

setStartHpr

## ◆ setStartPos

setStartPos

## ◆ setStartQuat

setStartQuat

## ◆ setStartScale

setStartScale

## ◆ startHpr

startHpr = startHpr

## ◆ startPos

startPos = startPos

## ◆ startQuat

startQuat = startQuat

## ◆ startScale

startScale = startScale